xine-lib: Data Fields

xine-lib 1.2.12

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - l -

- l : xine_mfrag_frag_t
- labels : _INSTRUCTION_FLOW
- lag : mpd_input_plugin_s
- lang : demux_ts_audio_track, multirate_pref_t, qt_trak, spu_dvb_descriptor_s
- language : bluray_input_class_t, lang_locale_t, matroska_chapter_t, matroska_track_s, stream_info_s
- language_id : asf_stream_extension_s
- last : config_values_s, fifo_buffer_s, nal_buffer, xine_flac_metadata_header
- last_accel_request : xxmc_driver_s
- last_add : xine_sarray_s
- last_aspect_code : dxr3_decoder_s
- last_audio_vpts : aos_t
- last_avg_gap : resample_sync_t
- last_begin_time : demux_mpeg_block_s, demux_mpeg_pes_s
- last_biggoom_p : _SOUND_INFO
- last_block_size : coreaudio_driver_s
- last_botdiff : tvtime_t
- last_cell_pos : demux_mpeg_block_s, demux_mpeg_pes_s
- last_cell_time : demux_mpeg_block_s, demux_mpeg_pes_s
- last_child : xine_stree_t
- last_csc_shader : opengl2_driver_t
- last_delivery_pts : vos_t
- last_disc_type : vdr_input_plugin_s
- last_error : qt_info
- last_event_vpts : spudec_decoder_s
- last_factor : resample_sync_t
- last_flush_vpts : aos_t
- last_flushed : vos_t
- last_frame : cdda_input_plugin_t, vos_t
- last_gap : aos_t
- last_getoptr : oss_driver_s
- last_goom_p : _SOUND_INFO
- last_gui_height : opengl2_driver_t, sdl_driver_s
- last_gui_width : opengl2_driver_t, sdl_driver_s
- last_height : dxr3_decoder_s, opengl_driver_t
- last_hide_vpts : cc_renderer_s
- last_in_pts : xine_nbc_fifo_info_t
- last_input_error : rtp_input_plugin_t
- last_keyframe_time : demux_ts_t
- last_lines : sputext_decoder_s
- last_nal_res : h264_parser
- last_non_b_time : sequence_t
- last_offs : metronom_impl_t
- last_out_pts : xine_nbc_fifo_info_t
- last_pat_time : demux_ts_t
- last_payload_size_byte : sei_message
- last_payload_type_byte : sei_message
- last_pts : avformat_demux_plugin_t, demux_asf_s, demux_flac_t, demux_flv_t, demux_ivf_t, demux_mpeg_block_s, demux_mpeg_pes_s, demux_mpeg_s, demux_ogg_s, demux_pva_t, demux_real_t, demux_ts_t, demux_yuv_frames_s, dxr3_scr_s, ff_video_decoder_s, fooaudio_decoder_s, matroska_track_s, metronom_impl_t, nsf_decoder_s, xine_nbc_fifo_info_t
- last_read_time : cdda_input_class_t, cdda_input_plugin_t
- last_sample : aos_t, demux_film_t
- last_sgap : aos_t
- last_sub_image_fmt : vaapi_driver_s
- last_subtitle_end : sputext_decoder_s
- last_sw_format : xxmc_frame_t
- last_time_base : sequence_t
- last_timecode : demux_matroska_t
- last_toc : cdda_input_class_t
- last_top_field_order_cnt : vdpau_h264_decoder_s
- last_topdiff : tvtime_t
- last_track : cdrom_toc_t
- last_type : metronom_impl_t
- last_unknown_guid : demux_asf_s
- last_vcl_nal : h264_parser
- last_volume : vdr_input_plugin_s
- last_vpts : demux_slave_t, dxr3_decoder_s, resample_sync_t
- last_width : dxr3_decoder_s, opengl_driver_t
- last_y : sputext_decoder_s
- lastadd : xine_stream_private_st
- lastavg : post_plugin_volnorm_s
- lastcode : cc_decoder_s
- lastplugin : fat_node_st
- lastpts : w32a_decoder_s
- lasttime : xine_event_queue_private_s
- lasttime1 : demux_real_t
- lasttime2 : demux_real_t
- latency : ao_none_driver_s, esd_driver_s, oss_driver_s
- latm : faad_decoder_s
- latm_mode : faad_decoder_s
- layer : directfb_driver_s, mpg_audio_frame_t
- lbar : post_plugin_tdaan_t
- ld_user_data : xv_driver_s
- ldt_fs : qta_decoder_s, qtv_decoder_s, w32a_decoder_s, w32v_decoder_s
- left : em8300_button_t, ff_audio_decoder_s, xine_audio_level_data_t
- left_audio : metronom_impl_t
- left_edge : demux_mng_t
- left_to_read : post_plugin_goom_s
- left_video : metronom_impl_t
- left_vol : alsa_driver_s
- len : _CMediaBuffer, audio_index_entry_t, buf_reader, CBPtab, DCtab, DCTtab, DMVtab, ebml_elem_s, MBAtab, MBtab, MVtab, post_plugin_volnorm_s, rle_elem_s, segment_buffer_t, transform_in_s, video_index_entry_t
- length : bits_reader_t, buffer_data, demux_asf_s, demux_flv_t, demux_mpc_t, demux_ts_pmt, rmff_pheader_t, xine_flac_metadata_header
- length_in_msec : demux_flac_s
- lengths : pgx64_frame_t
- level : DCTtab, ebml_parser_s, vdec_hw_h264_frame_t, xine_stree_t
- level_idc : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- lex_malloc : lexer
- lex_mode : lexer
- lexbuf : lexer
- lexbuf_pos : lexer
- lexbuf_size : lexer
- lexer : xml_parser_s
- lfe_level_1 : a52dec_class_t
- lfe_level_2 : a52dec_class_t
- lib_handle : plugin_file_t
- lig : _TENTACLE_FX_DATA
- light : _CONV_DATA
- ligs : _TENTACLE_FX_DATA
- limit_x : mpeg2_decoder_s, picture_s
- limit_y : mpeg2_decoder_s, picture_s
- limit_y_16 : mpeg2_decoder_s, picture_s
- limit_y_8 : mpeg2_decoder_s, picture_s
- line : osd_renderer_s
- line_height : spucmml_decoder_s, sputext_decoder_s
- line_number : _INSTRUCTION, _NODE_TYPE
- line_start : xine_fast_text_s
- lineMode : _PLUGIN_INFO
- lineNoise : noise_param_t
- lineNoiseAvg : noise_param_t
- lines : scratch_buffer_s, spucmml_decoder_s, sputext_decoder_s, subtitle_t
- lines_per_channel : post_plugin_fftgraph_s
- lines_remaining : pgx32_frame_t
- link : vdec_hw_h264_frame_int_s, xine_mrl_s
- list : hls_input_plugin_t, xine_gl_extensions_t
- list_bsize : hls_input_plugin_t, mpd_input_plugin_s
- list_buf : hls_input_plugin_t, mpd_input_plugin_s
- LIST_LIVE_BUMP : hls_input_plugin_t
- LIST_LIVE_REGET : hls_input_plugin_t
- list_mrl : hls_input_plugin_t, mpd_input_plugin_s
- list_seq : hls_input_plugin_t
- list_strseq : hls_input_plugin_t
- list_strtype : hls_input_plugin_t
- list_type : hls_input_plugin_t
- LIST_VOD : hls_input_plugin_t
- listener_thread : xine_event_queue_s
- live_flag : mms_s
- load_intra_quantizer_matrix : picture_s, xine_vld_frame_s
- load_non_intra_quantizer_matrix : picture_s, xine_vld_frame_s
- loaded : osd_font_s
- loader : image_decoder_s
- lock : _TENTACLE_FX_DATA, broadcaster_s
- Lock : IMediaObject_vt
- lock : metronom_impl_t, openssl_class_t, plugin_catalog_s, post_plugin_deinterlace_s, post_plugin_eq_s, post_plugin_upmix_mono_s, post_plugin_volnorm_s, pvr_input_plugin_t, pvrscr_s, refcounter_t, scratch_buffer_s, stretchscr_s, unixscr_t, vdpau_accel_t, vdr_input_plugin_s, vo_accel_generic_t, vo_frame_s, vos_t, xine_event_queue_s, xine_ring_buffer_s, xine_stream_private_st, xine_ticket_private_t
- lock1 : xine_glx_t
- lock2 : xine_glx_t
- lock_counter : decoded_picture, nal_unit, vo_frame_s
- lock_display : x11_visual_t, xshm_driver_t, xv_driver_s
- lock_vaapi : vaapi_accel_funcs_s
- locked : directfb_frame_s
- locked_by : xine_mutex_t
- locked_for_read : vos_t
- lockvar : _PLUGIN_INFO
- log2_max_frame_num_minus4 : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- log2_max_mv_length_horizontal : seq_parameter_set_rbsp
- log2_max_mv_length_vertical : seq_parameter_set_rbsp
- log2_max_pic_order_cnt_lsb_minus4 : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- log_buffers : xine_s
- log_cb : xine_private_t
- log_cb_user_data : xine_private_t
- log_err : vcdplayer_s
- log_lock : xine_private_t
- log_msg : vcdplayer_s
- long_term_frame_idx : coded_picture, slice_header
- long_term_pic_num : coded_picture, slice_header
- long_term_reference_flag : slice_header
- longueur : _PLUGIN_INFO
- lookup_cache : xx44_palette_t
- lookup_entry : config_values_s
- lookup_num : config_values_s
- lookup_string : config_values_s
- loop_item : vcdplayer_s
- loopvar : _PLUGIN_INFO
- low : CRange
- low_delay : picture_s
- low_delay_hrd_flag : seq_parameter_set_rbsp
- lower : GOOM_HASH_ENTRY
- lps : vdec_hw_h264_sequence_t
- lsf_bit : mpg_audio_frame_t
- ltc_divisor : DVprofile
- luma : denoise3d_parameters_s
- luma_amount : unsharp_parameters_s
- luma_log2_weight_denom : slice_header, vdec_hw_h264_lps_t
- luma_matrix_height : unsharp_parameters_s
- luma_matrix_width : unsharp_parameters_s
- luma_offset_l0 : slice_header, vdec_hw_h264_lps_t
- luma_offset_l1 : slice_header, vdec_hw_h264_lps_t
- luma_power : boxblur_parameters_s
- luma_radius : boxblur_parameters_s
- luma_strength : noise_parameters_s
- luma_weight_l0 : slice_header, vdec_hw_h264_lps_t
- luma_weight_l1 : slice_header, vdec_hw_h264_lps_t
- lumaParam : vf_priv_s
- lut : dvbsub_func_t, eq2_param_t
- lut24 : dvbsub_func_t
- lut28 : dvbsub_func_t
- lut48 : dvbsub_func_t
- lut_clean : eq2_param_t
- lut_texture : opengl2_driver_t
- Lx : Fractal_Struct
- Ly : Fractal_Struct